Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.eviction
Class LRUConfiguration

    java.lang.Object
      org.jboss.cache.eviction.LRUConfiguration

All Implemented Interfaces:
  EvictionConfiguration

    public class LRUConfiguration

extends java.lang.Object
implements EvictionConfiguration

LRU Configuration implementation.

Version:
  $Revision: 1.1 $
Author:
  Daniel Huang (dhuang@jboss.org)

Field Summary

Fields inherited from interface org.jboss.cache.eviction.EvictionConfiguration
`ATTR, ELEMENT_GRANULARITY, MAX_AGE_SECONDS, MAX_ELEMENTS_PER_NODE, MAX_NODES, MIN_ELEMENTS, MIN_NODES, NAME, NODE_GRANULARITY, REGION, REGION_POLICY_CLASS, TIME_TO_IDLE_SECONDS, TIME_TO_LIVE_SECONDS, WAKEUP_DEFAULT, WAKEUP_INTERVAL_SECONDS`

Constructor Summary
`LRUConfiguration()`

Method Summary
`int` | `getMaxAgeSeconds()`
`int` | `getMaxNodes()`
`int` | `getTimeToLiveSeconds()`
`void` | `parseXMLConfig(org.w3c.dom.Element element)` Configure the LRU Policy with XML.
`void` | `setMaxAgeSeconds(int maxAgeSeconds)`
`void` | `setMaxNodes(int maxNodes)`
`void` | `setTimeToLiveSeconds(int timeToLiveSeconds)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LRUConfiguration

    public LRUConfiguration()

Method Detail

### getMaxNodes

    public int getMaxNodes()

### setMaxNodes

    public void setMaxNodes(int maxNodes)

### getTimeToLiveSeconds

    public int getTimeToLiveSeconds()

### setTimeToLiveSeconds

    public void setTimeToLiveSeconds(int timeToLiveSeconds)

### getMaxAgeSeconds

    public int getMaxAgeSeconds()

### setMaxAgeSeconds

    public void setMaxAgeSeconds(int maxAgeSeconds)

### parseXMLConfig

    public void parseXMLConfig(org.w3c.dom.Element element)
                        throws ConfigureException

  Configure the LRU Policy with XML.

  This method expects the following XML:

  10000 8 10

  Specified by:
    `parseXMLConfig` in interface `EvictionConfiguration`
  Parameters:
    `element` - DOM XML containing LFU Policy configuration.
  Throws:
    `ConfigureException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.